Subject: Re: gnu-win32, perl an NTrigue
From: [email-masked] (Nick Ing-Simmons)

12 Dec 1996 04:44:56 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <199612121218.MAA04010.cygnus.gnu-win32@pluto>
References: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]>
 from Richard Donkin on Thu, 12 Dec 96 11: 44 GMT0
Original-Sender: [email-masked]

Richard Donkin <[email-masked]> writes:
>In-Reply-To: <199612111340.NAA06316@pluto>
>[email-masked] wrote:
>
>> ...
>>
>> I would like to use above system to port perl5.003+ to gnu-win32,
>> with a view to porting perl/Tk on top of it.
>> 
>> Do you know of any other attempts to port perl?
>
>You may already be aware of this, but a beta port of Perl5.003_7 to Win32 
>was just released by Activeware - note that this runs directly on Win32, 

I have heard of it - as a long time member of perl5-porters I have
also heard that sources have been hacked-about ...

>uses only Microsoft makefiles, and is missing some key functions such as 
>alarm() and fork(), so you might be better off porting Perl 5.003 directly 
>to Gnu-Win32.  

That is my impression.

>The Activeware Perl does support access to some Win32 
>functions but these are probably irrelevant to perl/Tk - I would certainly 
>like to see a native port of perl and perl/Tk.

When you say "native" - do you consider GNU-Win32 "native"?

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".